package com.sheep.gamegroup.model.entity;

import java.util.HashMap;

/**
 * 请求公用参数
 * Created by ljy on 2018/3/19.
 */

public class RequestParamEty {

    private int page;
    private int per_page;

    private HashMap<String, String> hashMap;

    public HashMap<String, String> getHashMap() {
        return hashMap;
    }

    public void setHashMap(HashMap<String, String> hashMap) {
        this.hashMap = hashMap;
    }

    public RequestParamEty() {
    }

    public RequestParamEty(int page, int per_page) {
        this.page = page;
        this.per_page = per_page;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getPer_page() {
        return per_page;
    }

    public void setPer_page(int per_page) {
        this.per_page = per_page;
    }

    private Object general_one;//预留字段
    private Object general_two;//预留字段

    public Object getGeneral_one() {
        return general_one;
    }

    public void setGeneral_one(Object general_one) {
        this.general_one = general_one;
    }

    public Object getGeneral_two() {
        return general_two;
    }

    public void setGeneral_two(Object general_two) {
        this.general_two = general_two;
    }
}
